﻿using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows;
using System.Windows.Data;
using Telerik.Windows.Data;

namespace GridViewComboBoxColumn
{
	public class MyViewModel : DependencyObject, INotifyPropertyChanged
	{
		public event PropertyChangedEventHandler PropertyChanged;

		private ObservableItemCollection<Club> clubs;
		private ObservableCollection<Player> players;


		public ObservableItemCollection<Club> Clubs
		{
			get
			{
				if (this.clubs == null)
				{
					this.clubs = Club.GetClubs();
					this.clubs.ItemChanged += new System.EventHandler<ItemChangedEventArgs<Club>>(clubs_ItemChanged);
				
				}

				return this.clubs;
			}
		}

		void clubs_ItemChanged(object sender, ItemChangedEventArgs<Club> e)
		{
			
		}


		public ObservableCollection<Player> Players
		{
			get
			{
				if (this.players == null)
				{
					this.players = Player.GetPlayers();
				}

				return this.players;
			}
		}

		protected virtual void OnPropertyChanged(PropertyChangedEventArgs args)
		{
			PropertyChangedEventHandler handler = this.PropertyChanged;
			if (handler != null)
			{
				handler(this, args);
			}
		}

		private void OnPropertyChanged(string propertyName)
		{
			this.OnPropertyChanged(new PropertyChangedEventArgs(propertyName));
		}
	}
}
